Notifly
API ReferenceSubscribers

Retrieve subscriber notifications

Retrieve in-app (inbox) notifications for a subscriber by its unique key identifier **subscriberId**. Supports filtering by tags, read/archived/snoozed/seen state, data attributes, severity, date range, and context keys.

GET
/v2/subscribers/{subscriberId}/notifications

Retrieve in-app (inbox) notifications for a subscriber by its unique key identifier subscriberId. Supports filtering by tags, read/archived/snoozed/seen state, data attributes, severity, date range, and context keys.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

subscriberId*string

The identifier of the subscriber

Query Parameters

limit?number
Rangevalue <= 100
Default10
after?string
offset?number
read?boolean

Filter by read/unread state

archived?boolean

Filter by archived state

snoozed?boolean

Filter by snoozed state

seen?boolean

Filter by seen state

data?string

Filter by data attributes (JSON string)

severity?array<>

Filter by severity levels

createdGte?number

Filter notifications created on or after this timestamp (Unix timestamp in milliseconds)

createdLte?number

Filter notifications created on or before this timestamp (Unix timestamp in milliseconds)

contextKeys?array<string>

Context keys for filtering notifications in multi-context scenarios

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/subscribers/string/notifications?limit=10&offset=0&createdGte=1704067200000&createdLte=1735689599999"
{  "data": {    "data": [      {        "id": "string",        "transactionId": "string",        "subject": "string",        "body": "string",        "to": {          "id": "string",          "firstName": "string",          "lastName": "string",          "avatar": "string",          "subscriberId": "string"        },        "isRead": true,        "isSeen": true,        "isArchived": true,        "isSnoozed": true,        "snoozedUntil": "string",        "deliveredAt": [          "string"        ],        "createdAt": "string",        "readAt": "string",        "firstSeenAt": "string",        "archivedAt": "string",        "avatar": "string",        "primaryAction": {          "label": "string",          "isCompleted": true,          "redirect": {            "url": "string",            "target": "_self"          }        },        "secondaryAction": {          "label": "string",          "isCompleted": true,          "redirect": {            "url": "string",            "target": "_self"          }        },        "channelType": "in_app",        "tags": [          "string"        ],        "data": {},        "redirect": {          "url": "string",          "target": "_self"        },        "workflow": {          "id": "string",          "identifier": "string",          "name": "string",          "critical": true,          "tags": [            "string"          ],          "data": {},          "severity": "high"        },        "severity": "high"      }    ],    "hasMore": true,    "filter": {}  }}